summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD48
-rw-r--r--bitcoin.conf31
-rw-r--r--bitcoin.install50
-rw-r--r--bitcoin.logrotate11
5 files changed, 4 insertions, 158 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 41dab2a4901..ad26b62c086 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,33 +1,11 @@
-# Generated by mksrcinfo v8
-# Tue Oct 10 09:57:09 UTC 2017
pkgbase = bitcoin-classic-daemon
pkgdesc = Bitcoin Classic with bitcoind, bitcoin-tx, and bitcoin-cli
pkgver = 1.3.8
pkgrel = 1
url = https://bitcoinclassic.com/
- install = bitcoin.install
arch = i686
arch = x86_64
license = MIT
- makedepends = boost
- depends = boost-libs
- depends = libevent
- depends = openssl
- depends = miniupnpc
- depends = zeromq
- provides = bitcoin-daemon
- provides = bitcoin-cli
- provides = bitcoin-tx
- conflicts = bitcoin-daemon
- conflicts = bitcoin-cli
- conflicts = bitcoin-tx
- backup = etc/bitcoin/bitcoin.conf
- source = bitcoin-classic-daemon-1.3.8.tar.gz::https://github.com/bitcoinclassic/bitcoinclassic/archive/v1.3.8.tar.gz
- source = bitcoin.logrotate
- source = bitcoin.conf
- sha256sums = 87f1d0a9ffe9763e1070f8e57af1dc3a35632e3ba8e8ac29c677faa4e8b1ca10
- sha256sums = 7bf4bdad419c1ee30b88c7e4190707c5ff250da8b23d68d5adf14043f8e2ac73
- sha256sums = c8787560c6423605796c8d3e080cb522ed849cea12b5c23293c22e405a015a53
pkgname = bitcoin-classic-daemon
diff --git a/PKGBUILD b/PKGBUILD
index c919d26d945..04448011918 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,55 +1,15 @@
# Maintainer: Tom Zander
-pkgname=bitcoin-classic-daemon
+pkgname=bitcoin-classic
pkgver=1.3.8
pkgrel=1
-pkgdesc='Bitcoin Classic with bitcoind, bitcoin-tx, and bitcoin-cli'
+pkgdesc='Bitcoin Classic with bitcoind, bitcoin-cli, bitcoin-tx, and bitcoin-qt'
arch=('i686' 'x86_64')
url="https://bitcoinclassic.com/"
license=('MIT')
-depends=('boost-libs' 'libevent' 'openssl' 'miniupnpc' 'zeromq')
-makedepends=('boost')
-provides=('bitcoin-daemon' 'bitcoin-cli' 'bitcoin-tx')
-conflicts=('bitcoin-daemon' 'bitcoin-cli' 'bitcoin-tx')
-install=bitcoin.install
-backup=("etc/bitcoin/bitcoin.conf")
-source=(${pkgname}-${pkgver}.tar.gz::"https://github.com/bitcoinclassic/bitcoinclassic/archive/v${pkgver}.tar.gz"
- "bitcoin.logrotate"
- "bitcoin.conf")
-sha256sums=('87f1d0a9ffe9763e1070f8e57af1dc3a35632e3ba8e8ac29c677faa4e8b1ca10'
- "7bf4bdad419c1ee30b88c7e4190707c5ff250da8b23d68d5adf14043f8e2ac73"
- "c8787560c6423605796c8d3e080cb522ed849cea12b5c23293c22e405a015a53")
-build() {
- cd "bitcoinclassic-$pkgver"
- ./autogen.sh
- ./configure --prefix=/usr --with-incompatible-bdb --with-gui=no --enable-hardening \
- --enable-reduce-exports --disable-gui-tests --disable-maintainer-mode
- make
-}
-
-check() {
- "bitcoinclassic-$pkgver/src/test/test_bitcoin"
-}
package() {
- cd "bitcoinclassic-$pkgver"
-
- install -Dm644 "contrib/debian/examples/bitcoin.conf"\
- -t "$pkgdir/usr/share/doc/bitcoin/examples"
- install -Dm644 "contrib/debian/manpages/bitcoind.1"\
- -t "$pkgdir/usr/share/man/man1"
- install -Dm644 "contrib/debian/manpages/bitcoin.conf.5"\
- -t "$pkgdir/usr/share/man/man5"
-
- install -Dm 664 "$srcdir/bitcoin.conf" -t "$pkgdir/etc/bitcoin"
- sed 's/python2/python/' <share/rpcuser/rpcuser.py >rpcuser.py
- install -Dm 755 rpcuser.py -t "$pkgdir/etc/bitcoin"
- install -Dm 644 "contrib/init/bitcoind.service" -t "$pkgdir/usr/lib/systemd/system"
- install -Dm 644 "$srcdir/bitcoin.logrotate" "$pkgdir/etc/logrotate.d/bitcoin"
-
- install -Dm 644 contrib/bitcoind.bash-completion \
- "$pkgdir/usr/share/bash-completion/completions/bitcoind"
-
- install -Dm755 "src/bitcoind" "src/bitcoin-cli" "src/bitcoin-tx" -t "$pkgdir/usr/bin"
+ echo "******* Classic is discontinued http://bitcoinclassic.com/news/closing.html"
+ exit 1
}
diff --git a/bitcoin.conf b/bitcoin.conf
deleted file mode 100644
index 8d6e980515c..00000000000
--- a/bitcoin.conf
+++ /dev/null
@@ -1,31 +0,0 @@
-# See a longer example at; /usr/share/doc/bitcoin/examples/bitcoin.conf
-
-# Defaults that are also passed in by systemd
-datadir=/var/lib/bitcoind
-pid=/var/lib/bitcoind/bitcoind.pid
-disablewallet=1
-
-# make the cookie go to /etc/bitcoin
-rpccookiefile=/etc/bitcoin/.cookie
-# make sure the cookie is readable by users able to read /etc/bitcoin
-sysperms=1
-
-# --rpcauth--
-# There additionally is the config option "rpcauth" to allow
-# multiple different users to use different credentials for login.
-#
-# The config option comes in the format:
-# rpcauth=USERNAME:SALT$HASH
-#
-# Where:
-# 1-USERNAME is desired username. Name doesn't have to be unique.
-# 2-SALT is the salt for the HMAC_SHA256 function
-# 3-HASH is a hex string that is the result of the HMAC_SHA256
-# function on the user's secret password plus the SALT as the key.
-#
-# A "canonical" password generating python script has been supplied
-# at "/etc/bitcoin/rpcuser.py". From the client-side, one connects
-# using the standard -rpcuser/-rpcpassword options.
-#
-# How to create an RPC user login credential.
-# $ python2 /etc/bitcoin/rpcuser.py <username>
diff --git a/bitcoin.install b/bitcoin.install
deleted file mode 100644
index a42cd1eea7e..00000000000
--- a/bitcoin.install
+++ /dev/null
@@ -1,50 +0,0 @@
-_bc_user=bitcoin
-_bc_group=bitcoin
-
-post_install() {
- _mkuser
- _dir="/var/lib/bitcoind"
- _cnf="/etc/bitcoin"
- if test ! -d "$_dir"; then
- mkdir -m 750 "$_dir"
- # disable Copy-On-Write (btrfs directories only)
- # This avoids lots of known db-corruption issues
- _is_btrfs "$_dir" && chattr +C "$_dir"
- fi
- chown -R $_bc_user:$_bc_group "$_dir" "$_cnf"
- chmod 775 "$_cnf"
- printf "%b\n" "$bitcoin"
-}
-
-post_upgrade() {
- _mkuser
- printf "%b\n" "$bitcoin"
-}
-
-
-# ------------------------------------------------------------------------------
-# helper functions for creating bitcoin user / group
-# ------------------------------------------------------------------------------
-
-_mkuser() {
- getent passwd $_bc_user &>/dev/null || {
- echo -n "Creating bitcoin user... "
- grep -E "^$_bc_group:" /etc/group >/dev/null || groupadd $_bc_group
- useradd -m -d /etc/bitcoin -g $_bc_group -s /usr/bin/nologin $_bc_user 2>/dev/null
- echo "done"
- }
-}
-
-# ------------------------------------------------------------------------------
-# helper functions for disabling btrfs Copy-On-Write (CoW)
-# https://wiki.archlinux.org/index.php/Btrfs#Copy-On-Write_.28CoW.29
-# ------------------------------------------------------------------------------
-
-# check if dir is btrfs
-_is_btrfs() {
- if [[ $(findmnt --target $1 --output FSTYPE --noheadings) == 'btrfs' ]]; then
- return 0
- else
- return 1
- fi
-}
diff --git a/bitcoin.logrotate b/bitcoin.logrotate
deleted file mode 100644
index 159f63f266c..00000000000
--- a/bitcoin.logrotate
+++ /dev/null
@@ -1,11 +0,0 @@
-/var/lib/bitcoind/debug.log
-{
- rotate 5
- copytruncate
- daily
- missingok
- notifempty
- compress
- delaycompress
- sharedscripts
-}